clear all
X=0:pi/200:pi;
Y=sin(X);
figure(1)
plot(X,Y,'.')
p2=polyfit(X,Y,1);
p3=polyfit(X,Y,3);
p5=polyfit(X,Y,5);
p10=polyfit(X,Y,10);

Xnew=0:pi/200:2*pi;
Ynew=sin(Xnew);
Ynew2=polyval(p2,Xnew);
Ynew3=polyval(p3,Xnew);
Ynew5=polyval(p5,Xnew);
Ynew10=polyval(p10,Xnew);

table = [(Ynew-Ynew2)' (Ynew-Ynew3)' (Ynew-Ynew5)' (Ynew-Ynew10)']
hold on
plot(Xnew, Ynew, Xnew, Ynew2, Xnew, Ynew3, Xnew, Ynew5, Xnew, Ynew10)
legend('Y', 'Ynew', 'Ynew2', 'Ynew3', 'Ynew5', 'Ynew10')

integ2=polyval(polyint(p2),pi)-polyval(polyint(p2),0)
integ3=polyval(polyint(p3),pi)-polyval(polyint(p3),0)
integ5=polyval(polyint(p5),pi)-polyval(polyint(p5),0)
integ10=polyval(polyint(p10),pi)-polyval(polyint(p10),0)

% Ytay= Xnew.^5/120 - Xnew.^3/6 + Xnew;
% Ytayint=X.^5/120 - X.^3/6 + X;
% hold off
% plot(Xnew, Ytay, Xnew, Ynew)
% legend('Taylor', 'Ynew')
% 
% Znew=trapz(X,Ytayint)
